## deskmenu 1.3.0

=== Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall `gtk-config --cflags`
XROOT     = /usr/X11
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 `gtk-config --libs`
LDPATH    = -L$(XROOT)/lib

PROG      = deskmenu
HEADERS   = $(PROG).h
RCFILE    = -DRCFILE=\".deskmenurc\"
DEBUG     = #-DDEBUG
DEFINES   = $(RCFILE) $(DEBUG)
PREFIX    = /usr

OBJS      = $(PROG).o popup.o workspaces.o windows.o

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install $(PROG) $(PREFIX)/bin

clean:
	rm -f $(PROG) $(OBJS)

uninstall:
	rm -f $(PREFIX)/bin/$(PROG)

## deskmenu 1.4.0-2.2

=== debian/changelog ===
deskmenu (1.4.0-2.2) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: Added "libxt-dev | xlibs-dev (<< 4.3.0)" to Build-Depends,
    thanks to Goswin von Brederlow (Closes: #251576)

 -- Roland Stigge <stigge@antcom.de>  Sat, 19 Jun 2004 17:29:10 +0200

deskmenu (1.4.0-2.1) unstable; urgency=low

  * NMU. Debcamp BSP
  * Patched deskmenu.c to fix build problems with GCC 3.3
    Thanks Thomas Poindessous for the patch. (Closes: #196785)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 14 Jul 2003 20:10:43 +0200

deskmenu (1.4.0-2) unstable; urgency=high

  * Updated the rc-example.
  * Updated the Build-depends.
    Closes: #159230

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  2 Sep 2002 19:15:53 +0200

deskmenu (1.4.0-1) unstable; urgency=low

  * Added GTK2.0 Stuff!

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 29 Aug 2002 14:05:37 +0200

deskmenu (1.3.3-1) unstable; urgency=low

  * Corrected the Manpage.
  * Added --button to --help.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  5 Aug 2002 13:42:47 +0200

deskmenu (1.3.2-1) unstable; urgency=low

  * Make --button work again.
  * Deskmenu should suggest "menu".

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sat, 15 Jun 2002 20:40:19 +0200

deskmenu (1.3.1-1) unstable; urgency=low

  * Changed the build behaviour a *lot*.
  * Added getopt.
    Closes: #127362
  * Now its possible to configure (and you have to set it!) a keycode
    in your $HOME/.deskmenurc (or /etc/deskmenurc) like:
    keycode=Control+Escape
  * Fixed handling of locales.
    Closes: #136072
  * Let deskmenu appear in the middle of the screen, when using the
    keyboard shortcut.
  * Implement support for an /etc/deskmenurc so bugs because of a missing
    $HOME/.deskmenurc wont be filled again. (And print an appropriate
    error message, when using deskmenu without $HOME/.deskmenurc.
    Closes: #123589

 -- Stefan Pfetzing <dreamind@dreamind.de>  Fri, 14 Jun 2002 01:32:47 +0200

deskmenu (1.3.0-8) unstable; urgency=low

  * Fixed the menu generating script to use x-terminal-emulator
    Closes: #148946
  * New Maintainer.
  * New upstream Maintainer.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed,  5 Jun 2002 09:43:46 +0200

deskmenu (1.3.0-7) unstable; urgency=low

  * Fixed typo in man page.
    Closes: #128127
  * Deskmenu is now unmaintain upstream. I really don't have enough time
    on my hands to take over as upstream author. If anyone would like this
    job, or has enough time to fix the current bugs please contact me.

 -- Brandon L. Griffith <brandon@debian.org>  Wed,  3 Apr 2002 12:26:11 -0500

deskmenu (1.3.0-6) unstable; urgency=low

  * Fixed a spelling error in the description.
  Closes: #124543

 -- Brandon L. Griffith <brandon@debian.org>  Mon, 31 Dec 2001 13:00:02 -0500

deskmenu (1.3.0-5) unstable; urgency=low

  * Thanks to a patch by Martin Hedenfalk <mhe@home.se> deskmenu now has
    support for the debian menuing system, thanks alot Martin.
  * I rewrote the manpage to reflect the changes in the .deskmenurc syntax, as
    well as expanded on it a little more.
  * The syntax of the .deskmenurc has changed. Please look at the README.Debian
    in this directory.

 -- Brandon L. Griffith <brandon@debian.org>  Sun,  9 Sep 2001 01:40:51 -0400

deskmenu (1.3.0-4) unstable; urgency=low

  * Added a manpage. The program did not come with one so I whipped something
    up from the info in the README
  * Changed a section in the copyright that caused lintian to complain.

 -- Brandon L. Griffith <brandon@debian.org>  Mon, 27 Aug 2001 09:50:16 -0400

deskmenu (1.3.0-3) unstable; urgency=low

  * Changed an entry in the sample deskmenurc which pointed to a program that
    is obviously not in Debian.
  * Fixed a typo in the program description.
    Closes: #109119

 -- Brandon L. Griffith <brandon@debian.org>  Sat, 18 Aug 2001 23:46:26 -0400

deskmenu (1.3.0-2) unstable; urgency=low

  * Failed to add Build Depends
    Closes: #108966

 -- Brandon L. Griffith <brandon@debian.org>  Fri, 17 Aug 2001 09:26:09 -0400

deskmenu (1.3.0-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug filed for packaging
    Closes: #108614

 -- Brandon L. Griffith <brandon@debian.org>  Wed, 15 Aug 2001 00:01:59 -0400

=== debian/control ===
Source: deskmenu
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 3.0), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0)
Standards-Version: 3.5.2

Package: deskmenu
Architecture: any
Suggests: menu
Depends: ${shlibs:Depends}
Description: A root menu for X11 window managers
 DeskMenu is a root menu program which is activated by clicking the root
 window. It is configured from a .deskmenurc file in your home directory.
 DeskMenu is useful for window managers which do not provide a menu such as
 Oroborus.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/deskmenu.sgml > deskmenu.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin

	# Add here commands to install the package into debian/deskmenu.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/deskmenu


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## deskmenu 1.4.1

=== debian/changelog ===
deskmenu (1.4.1) unstable; urgency=high

  * Approved the two NMUs. (Closes: #251576, #196785)
  * Fixes the check for a running compatible Windowmanager. 
    (Closes: #255201, #194608, #166684, #216885)
  * New Release, now xmalloc.c free, since its not necessary. (This should
    fix some build problems on BSD's.) (Closes: #258603)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 20 Jun 2004 17:51:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>= 3.0), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0)
+Build-Depends: debhelper (>= 3.0), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0), autoconf
 Standards-Version: 3.5.2
 
 Package: deskmenu

## deskmenu 1.4.2

=== debian/changelog ===
deskmenu (1.4.2) unstable; urgency=low

  * The deskmenu-will-die release.
  * Remove CVS dirs from source.
  * Fixup conflicts.
  * Make deskmenu lintian-clean.
  * Mention dfm(1) (Closes: #291830)
  * Remove wm-menu-config call. 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 30 Jun 2005 13:15:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
 Build-Depends: debhelper (>= 3.0), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0), autoconf
-Standards-Version: 3.5.2
+Standards-Version: 3.6.2
 
 Package: deskmenu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
+	# first check if the configure already exists, if not generate it.
+	test -f $(CURDIR)/configure || autoreconf -i
+	# then run it
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 	touch configure-stamp

## deskmenu 1.4.5

=== debian/changelog ===
deskmenu (1.4.5) unstable; urgency=low

  * Update version info in manpage.
  * Don't run the gtktest on configure, its not needed because of depends.
  * If the build fails, cat the config.log.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue, 16 Feb 2010 08:36:33 +0100

deskmenu (1.4.4) unstable; urgency=low

  * Fix install-menu call. (Closes: #483194)
  * Bump version.
  * Fix lintian bugs.
  * Doc is in /usr/share/doc not /usr/doc.
  * Add ${misc:Depends}.
  * Really fix bashisms, by removing really ancient notice about really
    ancient versions of deskmenu.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 16:42:17 +0100

deskmenu (1.4.3) unstable; urgency=low

  * Rebuild to fix bashism (Closes: #530067, #553287) 

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 15:48:30 +0100

=== debian/control ===
Source: deskmenu
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 7), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0), autoconf
Standards-Version: 3.8.4

Package: deskmenu
Architecture: any
Suggests: menu
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A root menu for X11 window managers
 DeskMenu is a root menu program which is activated by clicking the root
 window. It is configured from a .deskmenurc file in your home directory.
 DeskMenu is useful for window managers which do not provide a menu such as
 Oroborus.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-export DH_COMPAT=2
 
 configure: configure-stamp
 configure-stamp:
@@ -10,7 +9,7 @@
 	# first check if the configure already exists, if not generate it.
 	test -f $(CURDIR)/configure || autoreconf -i
 	# then run it
-	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-gtktest || ( cat config.log && false )
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -29,14 +28,14 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/bin
 
 	# Add here commands to install the package into debian/deskmenu.

## deskmenu 1.4.5build1

=== debian/changelog ===
deskmenu (1.4.5build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deskmenu
 Section: x11
 Priority: optional
-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
 Build-Depends: debhelper (>= 7), libgtk2.0-dev, libxt-dev | xlibs-dev (<< 4.3.0), autoconf
 Standards-Version: 3.8.4
